/*
Gnusniff - Network packet sniffer
Copyright (C) 1998 Peter Hawkins

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <string.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include "hosts.h"

static host_t *hostlist;

host_t *gethostforaddr(struct sockaddr *addr)
{
 host_t *node;
 if (hostlist) {
   node = hostlist;
   if (((int)((struct sockaddr_in)node->address).sin_addr)==((int)((struct sockaddr_in *)addr)->sin_addr)) return node;
   while (node->next!=NULL) {
     node = node->next;
     if (((int)((struct sockaddr_in)node->address).sin_addr)==((int)((struct sockaddr_in *)addr)->sin_addr)) return node;
   }
   node->next = hostlist = g_malloc0(sizeof host_t);
 } else {
   node = hostlist = g_malloc0(sizeof host_t);
 }
 memcpy(node->address, addr, sizeof(struct sockaddr));
}

