/*
Gnusniff - Network packet sniffer
Copyright (C) 1998 Peter Hawkins

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef _HOSTS_H_
#define _HOSTS_H_

#include "interface.h"
#include <pthread.h>
#include <net/if.h>
#include <glib.h>

typedef struct _host_t {
 struct _host_t *next;
 struct sockaddr address;
 char hostname[256];
 GList *packets;
 u_int received, sent;
 pthread_mutex_t mutex;
} host_t;

host_t *gethostforaddr(struct sockaddr *addr);
#endif
